<back to all web services

GetSyncInfo

The following routes are available for this service:
GET/RestApi/translations/syncinfo
import 'package:servicestack/servicestack.dart';

class GetSyncInfo implements IConvertible
{
    GetSyncInfo();
    GetSyncInfo.fromJson(Map<String, dynamic> json) : super();
    fromMap(Map<String, dynamic> json) {
        return this;
    }

    Map<String, dynamic> toJson() => {};
    getTypeName() => "GetSyncInfo";
    TypeContext? context = _ctx;
}

class SyncInfoProxy implements IConvertible
{
    DateTime? NextSyncDate;

    SyncInfoProxy({this.NextSyncDate});
    SyncInfoProxy.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        NextSyncDate = JsonConverters.fromJson(json['NextSyncDate'],'DateTime',context!);
        return this;
    }

    Map<String, dynamic> toJson() => {
        'NextSyncDate': JsonConverters.toJson(NextSyncDate,'DateTime',context!)
    };

    getTypeName() => "SyncInfoProxy";
    TypeContext? context = _ctx;
}

TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
    'GetSyncInfo': TypeInfo(TypeOf.Class, create:() => GetSyncInfo()),
    'SyncInfoProxy': TypeInfo(TypeOf.Class, create:() => SyncInfoProxy()),
});

Dart GetSyncInfo DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/syncinfo HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"NextSyncDate":"\/Date(-62135596800000-0000)\/"}